Bug 1191404 - Warning: noted but unhandled ioctl 0x8946 (SIOCETHTOOL) with no size/direction hints
Summary: Warning: noted but unhandled ioctl 0x8946 (SIOCETHTOOL) with no size/directio...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: valgrind
Version: 6.7
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Mark Wielaard
QA Contact: Miloš Prchlík
URL:
Whiteboard:
Depends On: 1073097
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-11 09:30 UTC by Miloš Prchlík
Modified: 2015-07-22 06:23 UTC (History)
2 users (show)

Fixed In Version: valgrind-3.8.1-7.el6
Doc Type: Bug Fix
Doc Text:
Valgrind was unable to handle the SIOCETHTOOL ioctl (0x8946), which queries or controls network driver and hardware settings. As a consequence, programs running under Valgrind that use SIOCETHTOOL received a warning message, and arguments were not tracked by Valgrind. Valgrind now correctly recognizes the SIOCETHTOOL ioctl, and the described problem no longer occurs.
Clone Of: 1073097
Environment:
Last Closed: 2015-07-22 06:23:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1298 normal SHIPPED_LIVE valgrind bug fix update 2015-07-20 17:53:58 UTC
KDE Software Compilation 303536 None None None Never

Comment 1 Mark Wielaard 2015-02-16 16:07:59 UTC
This would require a backport of upstream valgrind svn r14114.

Comment 3 Miloš Prchlík 2015-02-24 10:13:55 UTC
Verified for build valgrind-3.8.1-7.el6.

Comment 5 errata-xmlrpc 2015-07-22 06:23:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1298.html


Note You need to log in before you can comment on or make changes to this bug.